انجمن‌های فارسی اوبونتو

لطفاً به انجمن‌ها وارد شده و یا جهت ورود ثبت‌نام نمائید

لطفاً جهت ورود نام کاربری و رمز عبورتان را وارد نمائید

جادی عزیز آزاد شد! به امید آزادی همه زندانیان بی‌گناه وقایع اخیر

نویسنده موضوع: نصب draftsight  (دفعات بازدید: 3777 بار)

0 کاربر و 1 مهمان درحال مشاهده موضوع.

آفلاین emsys

  • Newbie
  • *
  • ارسال: 8
  • جنسیت : پسر
نصب draftsight
« : 27 امرداد 1391، 09:04 ب‌ظ »
سلام من میخواستم برنامه draftsight رو توی ubuntu 12.04 x64 نصب کنم ولی این نرم افزار ۳۲ بیتیه و گفته باید از دستور زیر استفاده کنید
sudo apt-get install libdirectfb-extra libxcb-render-util0
sudo dpkg --force-architecture -i ~/Downloads/draftSight.deb
ولی وقتی اجراشون میکنم ارور زیر رو میده
dpkg: regarding .../emsys/Downloads/draftSight.deb containing dassault-systemes-draftsight:i386, pre-dependency problem:
 dassault-systemes-draftsight:i386 pre-depends on libatk1.0-0 (>= 1.28.0-0)
dpkg: error processing /home/emsys/Downloads/draftSight.deb (--install):
 pre-dependency problem - not installing dassault-systemes-draftsight:i386
Errors were encountered while processing:
 /home/emsys/Downloads/draftSight.deb

ویا دستور زیر با ارور:
emsys@XPS:~$ sudo dpkg -i --force-architecture,depends Downloads/draftSight.deb
dpkg: regarding Downloads/draftSight.deb containing dassault-systemes-draftsight:i386, pre-dependency problem:
 dassault-systemes-draftsight:i386 pre-depends on libatk1.0-0 (>= 1.28.0-0)
dpkg: warning: ignoring pre-dependency problem!
dpkg: regarding Downloads/draftSight.deb containing dassault-systemes-draftsight:i386, pre-dependency problem:
 dassault-systemes-draftsight:i386 pre-depends on libcairo2 (>= 1.8.8-2)
dpkg: warning: ignoring pre-dependency problem!
dpkg: regarding Downloads/draftSight.deb containing dassault-systemes-draftsight:i386, pre-dependency problem:
 dassault-systemes-draftsight:i386 pre-depends on libdirectfb-extra (>= 1.2.7-2)
dpkg: warning: ignoring pre-dependency problem!
dpkg: regarding Downloads/draftSight.deb containing dassault-systemes-draftsight:i386, pre-dependency problem:
 dassault-systemes-draftsight:i386 pre-depends on libgtk2.0-0 (>= 2.18.3-1)
dpkg: warning: ignoring pre-dependency problem!
dpkg: regarding Downloads/draftSight.deb containing dassault-systemes-draftsight:i386, pre-dependency problem:
 dassault-systemes-draftsight:i386 pre-depends on libpango1.0-0 (>= 1.26.0-1)
dpkg: warning: ignoring pre-dependency problem!
dpkg: regarding Downloads/draftSight.deb containing dassault-systemes-draftsight:i386, pre-dependency problem:
 dassault-systemes-draftsight:i386 pre-depends on libpixman-1-0 (>= 0.14.0-1)
dpkg: warning: ignoring pre-dependency problem!
dpkg: regarding Downloads/draftSight.deb containing dassault-systemes-draftsight:i386, pre-dependency problem:
 dassault-systemes-draftsight:i386 pre-depends on libxcb-render0 (>= 1.4-1)
dpkg: warning: ignoring pre-dependency problem!
(Reading database ... 246810 files and directories currently installed.)
Unpacking dassault-systemes-draftsight:i386 (from Downloads/draftSight.deb) ...
access control disabled, clients can connect from any host
access control disabled, clients can connect from any host
/var/lib/dpkg/tmp.ci/ShowLicence: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory
access control enabled, only authorized clients can connect
access control enabled, only authorized clients can connect
dpkg: error processing Downloads/draftSight.deb (--install):
 subprocess new pre-installation script returned error exit status 127
Errors were encountered while processing:
 Downloads/draftSight.deb

راهنمایی کنید لطفا

آفلاین سلمان م.

  • ناظر انجمن
  • *
  • ارسال: 4098
  • جنسیت : پسر
  • GNU Operating System - سیستم عامل گنو
پاسخ : نصب draftsight
« پاسخ #1 : 27 امرداد 1391، 09:59 ب‌ظ »
منم که می‌خواستم نصب کنم همین پیغام خطا رو می‌داد. من قبلا به راحتی رو فدورا نصب کرده بودم ولی رو اوبونتو هرکاری می‌کنم نمی‌شه.! :)

آفلاین سلمان م.

  • ناظر انجمن
  • *
  • ارسال: 4098
  • جنسیت : پسر
  • GNU Operating System - سیستم عامل گنو
پاسخ : نصب draftsight
« پاسخ #2 : 27 امرداد 1391، 10:01 ب‌ظ »
برنامه‌ی LibreCAD تا حدودی راهت می اندازه (فقط ۲ بعدی). برنامه‌ی جمع و جور و ساده‌ای هست. تو مخازن هم هست.
برای اطلاعات بیشتر: http://forum.ubuntu.ir/index.php/topic,28887.0.html
« آخرین ویرایش: 27 امرداد 1391، 10:04 ب‌ظ توسط سلمان العلما شیرازی! »

آفلاین emsys

  • Newbie
  • *
  • ارسال: 8
  • جنسیت : پسر
پاسخ : نصب draftsight
« پاسخ #3 : 27 امرداد 1391، 10:46 ب‌ظ »
ممنون
ولی من یه نرم افزار قوی تر و کاراتر میخوام

آفلاین سلمان م.

  • ناظر انجمن
  • *
  • ارسال: 4098
  • جنسیت : پسر
  • GNU Operating System - سیستم عامل گنو
پاسخ : نصب draftsight
« پاسخ #4 : 27 امرداد 1391، 10:57 ب‌ظ »
بیبین می‌تونی نسخه‌ی ویندوزیش رو رو wine نصب کنی؟‌من که نصب کردم پیغام خطا می‌ده! ببین شاید برای تو نده.

آفلاین emsys

  • Newbie
  • *
  • ارسال: 8
  • جنسیت : پسر
پاسخ : نصب draftsight
« پاسخ #5 : 29 امرداد 1391، 12:47 ق‌ظ »
پس از کلی جست و جو تونستم draftsight رو روی اوبونتو ۶۴ بیتی نصب کنم
اگه کسی خواست نصب کنه از سایت زیر استفاده کنه
http://linuxaideddesign.blogspot.in/2012/03/draftsight-and-ubuntu-1204-lts-64bit.html
چون فیلتره واستون متنشو میزارم

DraftSight and Ubuntu 12.04 LTS 64bit
Ubuntu 12.04 LTS will be released on April 26 with some important and useful features like multiarch-support. However some 32bit packages still have installation problems on 64bit systems because they don't follow the new specifications. One of the packages that need some tricks in order to install it on a 64 bit Ubuntu 12.04 system is the current V1R1.4 of DraftSight.
Normally I wouldn't provide any workarounds for beta or experimental versions of Ubuntu or any other distro  for one simple reason: If a distro is under active development many things will be changed until the final release.
But thanks to Normand who informed me in this post that some users are already trying to install DraftSight on Ubuntu 12.04 LTS and considering that the development status is nearly at the end, I will make an exception.
So here are the instructions, don't be afraid of the number of steps, it's  really a very easy process.

Step 1:
Download Draftsight and make a copy of draftsight.deb in your Home folder. A copy is needed because you will make some changes in the .deb file so keep the original file as a backup. Just a right click on draftsight.deb and select copy to Home folder and you're ready.


Step 2:
Open a terminal simply by pressing Ctrl+Alt+T and type:
ar x draftSight.deb control.tar.gz
This command extracts the control.tar.gz compressed archive from the .deb file. Keep the terminal open you will use it for one more time.
Step 3:
Extract the control.tar.gz compressed archive to your home folder. From Nautilus right click on it and select "Extract here". You will see a folder named "control"  inside your Home folder.

Step 4:
Open the control folder and then the control file inside it with gedit (Text Editor).
Step 5:
Now you must be careful! You have to delete from the list of dependencies libdirectfb-extra. Simply select with the mouse: "libdirectfb-extra (>=1.2.7-2)" the space before it and the comma after it in order to keep the correct syntax (see the screenshot below). Save the file and close gedit.
Step 6:
From Nautilus select all the contents of the control folder ( Simply press Ctrl+A), right click on one of the selected items and select "Compress".
Step 7:
In the dialog box that opens select as "Location" your Home folder.
Step 8:
You will see a warning that a file with the same name already exists. Select to overwrite it.
Step 9:
Go back to your open terminal and type:
ar r draftSight.deb control.tar.gz
This command will put back the modified control.tar.gz compressed archive into your draftsight.deb file

Step 10:
Right click on your modified draftsight.deb file and select "Open with Gdebi Package Installer". If you don't have gdebi already installed, install it because DraftSight's installation is successful only with gdebi.(or via terminal with dpkg but this is more complicated for new users :-) )
Step 11:
Install DraftSight. Normally you will not take any error messages.
Step 12:
DraftSight still needs some extra software in order to run. So install with Ubuntu Software Center or Synaptic ia32-libs  and libdirectfb-extra.

Enjoy DraftSight on Ubuntu 12.04 LTS 64bit!

آفلاین سلمان م.

  • ناظر انجمن
  • *
  • ارسال: 4098
  • جنسیت : پسر
  • GNU Operating System - سیستم عامل گنو
پاسخ : نصب draftsight
« پاسخ #6 : 29 امرداد 1391، 01:21 ق‌ظ »
مرسی منم تونستم که نصبش کنم. متاسفانه تنها نرم‌افزار رایگانی که تو گنو/لینوکس فایل .dwg می‌خونه این نرم‌افزار هست.
« آخرین ویرایش: 14 اسفند 1391، 08:09 ق‌ظ توسط سلمان م. »

آفلاین دانیال بهزادی

  • ناظر انجمن
  • *
  • ارسال: 17995
  • جنسیت : پسر
  • Urahara Kiesuke
    • وبلاگ
پاسخ : نصب draftsight
« پاسخ #7 : 03 شهریور 1391، 06:52 ب‌ظ »
Qcad رو دیدی؟ در بررسی‌های من قوی‌تر از draftsight ظاهر شد
اگه این ارسال بهت کمک کرد، دنبال دکمهٔ تشکر نگرد. به جاش تو هم به جامعهٔ آزادت کمک کن

آفلاین سلمان م.

  • ناظر انجمن
  • *
  • ارسال: 4098
  • جنسیت : پسر
  • GNU Operating System - سیستم عامل گنو
پاسخ : نصب draftsight
« پاسخ #8 : 03 شهریور 1391، 11:03 ب‌ظ »
Qcad رو دیدی؟ در بررسی‌های من قوی‌تر از draftsight ظاهر شد
LibreCAD یه fork از qcad هست، فقط qt اون به روز شده (از ۳ به ۴) و همچنین راهنمای غیرآزاد qcad رو حذف کرده و یک سری تغییرات جزیی دیگه.

۲. نه درفت‌سایت قوی‌تر هست، و تنها نرم‌افزار رایگانی که تحت «سیستم‌عامل گنو با هسته‌ی لینوکس» می‌تونه فرمت پیش‌فرض اتوکد (dwg) رو بخونه.
« آخرین ویرایش: 14 اسفند 1391، 08:10 ق‌ظ توسط سلمان م. »